[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TWindowMagnetOptions.Create

Constructor for the class instance.

## Declaration

Source position: forms.pp line 424

`public constructor TWindowMagnetOptions.Create;`

## Description

Create sets the default values for properties in the class instance, including:

- SnapToMonitor (False)
- SnapToForms (False)
- SnapFormTarget (True)
- Distance (10 pixels)

## See also

TWindowMagnetOptions.SnapToMonitor |  | Enables or disables snapping a form to one of the edges on the monitor.
TWindowMagnetOptions.SnapToForms |  | Enables or disables snapping the current form to other forms in the application.
TWindowMagnetOptions.SnapFormTarget |  | Enables or disables snapping another form in the application to the form instance.
TWindowMagnetOptions.Distance |  | Distance from (or proximity to) a snap target where the snapping behavior is automatically engaged.